require "defines"
require "config"
require ("prototypes.upgrade")

remote.addinterface("BetterTurrets",
	{
		Regenerate = function()
			game.regenerateentity("wolframite-ore")
			for i, player in ipairs(game.players) do
				player.print("Wolframite ore added in the world")
			end
		end
	}
)

game.onload(function(event)
	if vanillaWeapons == true and glob.vanillaWeapons ~= true then
		for i, player in ipairs(game.players) do
			player.force.technologies["turrets"].enabled = true
			
			local deletedRecipes =
			{
				"pistol",
				"basic-bullet-magazine"
			}
			
			for key, value in pairs(deletedRecipes) do
				player.force.recipes[value].enabled = true
			end

			if player.force.technologies["military"].researched then
				player.force.recipes["submachine-gun"].enabled = true
			end

			if player.force.technologies["military-2"].researched then
				player.force.recipes["piercing-bullet-magazine"].enabled = true
			end
		end
		
		glob.vanillaWeapons = true
	elseif vanillaWeapons ~= true and glob.vanillaWeapons == true then
		for i, player in ipairs(game.players) do
			player.force.technologies["turrets"].enabled = false
			player.force.technologies["turrets"].researched = false
			
			local deletedRecipes =
			{
				"pistol",
				"basic-bullet-magazine"
			}
			
			for key, value in pairs(deletedRecipes) do
				player.force.recipes[value].enabled = false
			end

			if player.force.technologies["military"].researched then
				player.force.recipes["submachine-gun"].enabled = false
			end

			if player.force.technologies["military-2"].researched then
				player.force.recipes["piercing-bullet-magazine"].enabled = false
			end
		end
		
		glob.vanillaWeapons = false
	end
end)

-- Change start inventory, available recipes and technologies
--if remote.interfaces.freeplay or remote.interfaces.sandbox then
game.onevent(defines.events.onplayercreated, function(event)

	local player = game.getplayer(event.playerindex)
	player.clearitemsinside()
    
	-- BT starting weapons
	local weaponsBT = {
		{"45-gun", 1},
		{"45-standard-pistol-clip", 6}
	}
	
	-- Vanilla starting weapons
	local weaponsVanilla = {
		{"pistol", 1},
		{"basic-bullet-magazine", 10}
	}
    
	-- Standard starting inventory
	local standardItems = {
		{"iron-plate", 8},
		{"burner-mining-drill", 1},
		{"stone-furnace", 1}
	}

	-- Extended starting inventory
	local extendedItems = {
		{"basic-transport-belt", 100},
		{"basic-transport-belt-to-ground", 4},
		{"basic-splitter", 4},
		{"basic-inserter", 20},
		{"iron-chest", 4},
		{"iron-plate", 150},
		{"coal", 50},
		{"copper-plate", 100},
		{"stone", 50},
		{"basic-armor", 1},
		{"iron-axe", 1},
		{"basic-mining-drill", 2},
		{"stone-furnace", 4},
		{"assembling-machine-1", 2},
		{"boiler", 3},
		{"small-electric-pole", 32},
		{"steam-engine", 2},
		{"pipe", 32},
		{"offshore-pump", 1}
	}
	
	-- Extended starting technologies
	local extendedTechnologies = {
        "military",
        "automation",
        "logistics",
        "armor-making"
	}
    
	-- Diabled recipes (if using BT weapons)
	local disabledRecipes = {
		"submachine-gun",
		"pistol",
		"basic-bullet-magazine",
		"gun-turret",
		"laser-turret"
	}
    
	if vanillaWeapons == true then
		for key, value in pairs(weaponsVanilla) do
			player.insert{name = value[1], count = value[2]}
		end
	else
		for key, value in pairs(weaponsBT) do
			player.insert{name = value[1], count = value[2]}
		end
		for key, value in pairs(disabledRecipes) do
			player.force.recipes[value].enabled = false
		end
	end
	
	if extendedInventory == true then
		for key, value in pairs(extendedItems) do
			player.insert{name = value[1], count = value[2]}
		end
		for key, value in pairs(extendedTechnologies) do
			player.force.technologies[value].researched = true
		end
	else
		for key, value in pairs(standardItems) do
			player.insert{name = value[1], count = value[2]}
		end
	end

end)

--end
