-- Check what other mods are installed, add applicable components as necessary.
if data.raw["damage-type"]["bob-pierce"] then -- betterTurrets + Bob's Warfare content.
	require("prototypes.other_mods_compatibility.bobsWarfare.ammo")
	require("prototypes.other_mods_compatibility.bobsWarfare.item")
	require("prototypes.other_mods_compatibility.bobsWarfare.recipe")
	require("prototypes.other_mods_compatibility.bobsWarfare.technology")
elseif data.raw.item["tungsten-plate"] then
	-- These files are always loaded
	require("prototypes.other_mods_compatibility.damage-type")
	require("prototypes.other_mods_compatibility.ammo")
	if data.raw["item-subgroup"]["bob-material"] then -- betterTurrets recipes and technologies with Bob's tungsten. (Overrides Dytech if both are installed.)
		require("prototypes.other_mods_compatibility.bobsMods.recipe")
		require("prototypes.other_mods_compatibility.bobsMods.technology")
	elseif data.raw["item-subgroup"]["metallurgy-plates"] then -- betterTurrets recipes and technologies with Dytech tungsten instead of wolframite.
		require("prototypes.other_mods_compatibility.dytech.recipe")
		require("prototypes.other_mods_compatibility.dytech.technology")
	else -- Something else has added tungsten. Uses the bobsMods recipe file, because it's the same.
		require("prototypes.other_mods_compatibility.bobsMods.recipe")
	end
else -- Add wolframite ore, tungsten plate and tungsten carbide if nothing else does.
	require("prototypes.other_mods_compatibility.damage-type") -- pierce damage type
	require("prototypes.other_mods_compatibility.ammo") -- damage values for ammo
	require("prototypes.other_mods_compatibility.betterTurrets.item") -- wolframite ore item, tungsten and tungsten carbide
	require("prototypes.other_mods_compatibility.betterTurrets.resources") -- wolframite resource
	require("prototypes.other_mods_compatibility.betterTurrets.recipe") -- wolframite based recipes
	require("prototypes.other_mods_compatibility.betterTurrets.technology") -- wolframite based technologies
end