data:extend({
  --AMMO FACTORY--
  {
    type = "assembling-machine",
    name = "ammo-factory",
    icon = "__BetterTurrets__/graphics/items/ammo-factory.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "ammo-factory"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "huge-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
--    animation =
--    {
--      filename = "__BetterTurrets__/graphics/entities/ammo-factory.png",
--      priority="high",
--      width = 99,
--      height = 102,
--      frame_count = 32,
--      line_length = 8,
--      shift = {0.25, -0.1}
--    },
    animation =
    {
      filename = "__BetterTurrets__/graphics/entities/ammo-factory-v2.png",
      priority="high",
      width = 154,
      height = 105,
      frame_count = 32,
      line_length = 8,
      shift = {0.25, -0.1}
    },
    crafting_categories = {"ammo-crafting","ammo-hand-crafting"},
    crafting_speed = 0.2,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.05 / 1.5
    },
    energy_usage = "90kW",
    ingredient_count = 4,
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t1-1.ogg",
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t1-2.ogg",
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    }
  },
  
  --AMMO  PACKAGING FACTORY--
  {
    type = "assembling-machine",
    name = "ammo-packaging-factory",
    icon = "__BetterTurrets__/graphics/items/ammo-packaging-factory.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "ammo-packaging-factory"},
    max_health = 200,
    corpse = "big-remnants",
    dying_explosion = "huge-explosion",
    resistances =
    {
      {
        type = "fire",
        percent = 70
      }
    },
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    fast_replaceable_group = "assembling-machine",
--    animation =
--    {
--      filename = "__BetterTurrets__/graphics/entities/ammo-factory.png",
--      priority="high",
--      width = 99,
--      height = 102,
--      frame_count = 32,
--      line_length = 8,
--      shift = {0.25, -0.1}
--    },
    animation =
    {
      filename = "__BetterTurrets__/graphics/entities/ammo-packaging-factory.png",
      priority="high",
      width = 154,
      height = 105,
      frame_count = 32,
      line_length = 8,
      shift = {0.25, -0.1}
    },
    crafting_categories = {"ammo-packaging","ammo-hand-packaging"},
    crafting_speed = 0.5,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      emissions = 0.05 / 1.5
    },
    energy_usage = "90kW",
    ingredient_count = 2,
    open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
    close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 },
    working_sound =
    {
      sound = {
        {
          filename = "__base__/sound/assembling-machine-t1-1.ogg", -- TODO Placeholder --
          volume = 0.8
        },
        {
          filename = "__base__/sound/assembling-machine-t1-2.ogg", -- TODO Placeholder -- 
          volume = 0.8
        },
      },
      idle_sound = { filename = "__base__/sound/idle1.ogg", volume = 0.6 },
      apparent_volume = 1.5,
    }
  },
})
