--{
--    type = "explosion",
--    name = "explosion-gunshot",
--    flags = {"not-on-map"},
--    animations =
--    {
--      {
--        filename = "__base__/graphics/entity/explosion-gunshot/explosion-gunshot.png",
--        priority = "extra-high",
--        width = 34,
--        height = 38,
--        frame_count = 13,
--        animation_speed = 1.5,
--        shift = {0, -0.3125}
--      }
--    },
--    light = {intensity = 1, size = 10},
--    smoke = "smoke-fast",
--    smoke_count = 1,
--    smoke_slow_down_factor = 1
--  },
--
--{
--    type = "explosion",
--    name = "100mm-explosion",
--    flags = {"not-on-map"},
--    animations =
--    {
--      {
--        filename = "__base__/graphics/entity/huge-explosion/huge-explosion.png",
--        priority = "extra-high",
--        width = 112,
--        height = 94,
--        frame_count = 54,
--        line_length = 6,
--        shift = {-0.56, -0.96},
--        animation_speed = 0.5
--      }
--    },
--    light = {intensity = 1, size = 50},
--    sound =
--    {
--      {
--        filename = "__base__/sound/huge-explosion.ogg",
--        volume = 1.25
--      }
--    },
--    created_effect =
--    {
--      type = "direct",
--      action_delivery =
--      {
--        type = "instant",
--        target_effects =
--        {
--          {
--            type = "create-particle",
--            repeat_count = 20,
--            entity_name = "explosion-remnants-particle",
--            initial_height = 0.5,
--            speed_from_center = 0.08,
--            speed_from_center_deviation = 0.15,
--            initial_vertical_speed = 0.08,
--            initial_vertical_speed_deviation = 0.15,
--            offset_deviation = {{-0.2, -0.2}, {0.2, 0.2}}
--          }
--        }
--      }
--    }
--  },

data:extend({

    -- 30 MM EXPLOSION ANIMATION (NO SOUND)--
    {
      type = "explosion",
      name = "30-mm-hedp-explosion",
      flags = {"not-on-map"},
      animations =
      {
        {
          filename = "__BetterTurrets__/graphics/explosions/explosion-30mm-hedp.png",
          priority = "extra-high",
          width = 60,
          height = 100,
          frame_count = 29,
          line_length = 6,
          shift = {-0.56, -0.96},
          animation_speed = 0.6
        }
      },
      light = {intensity = 1, size = 50}

    },


    -- 100 MM HEAT EXPLOSION ANIMATION (WITH PARTICLES) --
    {
      type = "explosion",
      name = "100-mm-heat-explosion",
      flags = {"not-on-map"},
      --      animations =
      --      {
      --        {
      --          filename = "__BetterTurrets__/graphics/explosions/medium-explosion.png",
      --          priority = "extra-high",
      --          width = 56,
      --          height = 47,
      --          frame_count = 54,
      --          line_length = 6,
      --          shift = {-0.56, -0.96},
      --          animation_speed = 0.6
      --        }
      --      },
      animations =
      {
        {
          filename = "__BetterTurrets__/graphics/explosions/huge-explosion.png",
          priority = "extra-high",
          width = 112,
          height = 94,
          frame_count = 54,
          line_length = 6,
          shift = {-0.56, -0.96},
          animation_speed = 0.5
        }
      },
      light = {intensity = 1, size = 50},
      sound =
      {
        {
          filename = "__base__/sound/explosion2.ogg",
          volume = 1.00
        }
      },
      smoke =
      {
        {
          name = "smoke",
          north_position = {0, -2.2},
          east_position = {-1.9, -1.6},
          deviation = {0.2, 0.2},
          frequency = 2 / 31,
          starting_vertical_speed = 0.05
        }
      },
      created_effect =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "create-particle",
              repeat_count = 20,
              entity_name = "100-mm-heat-explosion-remnants-particle", -- TODO Placeholder
              initial_height = 0.5,
              speed_from_center = 0.08,
              speed_from_center_deviation = 0.15,
              initial_vertical_speed = 0.08,
              initial_vertical_speed_deviation = 0.15,
              offset_deviation = {{-0.2, -0.2}, {0.2, 0.2}}
            }
          }
        }
      }
    },
    
	--[[
    -- 120 MM EXPLOSION ANIMATION (WITH PARTICLES)--

    {
      type = "explosion",
      name = "120-mm-heat-explosion",
      flags = {"not-on-map"},
      animations =
      {
        {
          filename = "__BetterTurrets__/graphics/explosions/huge-explosion.png",
          priority = "extra-high",
          width = 112,
          height = 94,
          frame_count = 54,
          line_length = 6,
          shift = {-0.56, -0.96},
          animation_speed = 0.5
        }
      },
      light = {intensity = 1, size = 50},
      sound =
      {
        {
          filename = "__base__/sound/huge-explosion.ogg",
          volume = 1.25
        }
      },
      created_effect =
      {
        type = "direct",
        action_delivery =
        {
          type = "instant",
          target_effects =
          {
            {
              type = "create-particle",
              repeat_count = 20,
              entity_name = "100-mm-heat-explosion-remnants-particle", -- TODO Placeholder
              initial_height = 0.5,
              speed_from_center = 0.08,
              speed_from_center_deviation = 0.15,
              initial_vertical_speed = 0.08,
              initial_vertical_speed_deviation = 0.15,
              offset_deviation = {{-0.2, -0.2}, {0.2, 0.2}}
            }
          }
        }
      }
    },

    -- 120 MM EXPLOSION ANIMATION (WITHOUT PARTICLES)--

    {
      type = "explosion",
      name = "120-mm-heat-explosion-no-particles",
      flags = {"not-on-map"},
      animations =
      {
        {
          filename = "__BetterTurrets__/graphics/explosions/huge-explosion.png",
          priority = "extra-high",
          width = 112,
          height = 94,
          frame_count = 54,
          line_length = 6,
          shift = {-0.56, -0.96},
          animation_speed = 0.5
        }
      },
      light = {intensity = 1, size = 50},
      sound =
      {
        {
          filename = "__base__/sound/huge-explosion.ogg",
          volume = 1.25
        }
      }
    }
	--]]
})
