betterTurret_extension_autocannon =
{
	filename = "__BetterTurrets__/graphics/entities/betterTurret-30-mm-extension.png",
	priority = "medium",
	width = 154,
	height = 105,
	direction_count = 4,
	frame_count = 5,
	axially_symmetrical = false,
	shift = {0.8, -0.5+  0.0}
}

betterTurret_extension_minigun =
{
	filename = "__BetterTurrets__/graphics/entities/betterTurret-762-extension.png",
	priority = "medium",
	width = 154,
	height = 105,
	direction_count = 4,
	frame_count = 5,
	axially_symmetrical = false,
	shift = {0.8, -0.5+  0.0}
}

betterTurret_extension_100mm =
{
	filename = "__BetterTurrets__/graphics/entities/betterTurret-100-mm-extension.png",
	priority = "medium",
	width = 214,
	height = 165,
	direction_count = 4,
	frame_count = 5,
	axially_symmetrical = false,
	shift = {0.8, -0.5+  0.0}
}


data:extend({

	-- 7.62 MM TURRET --
	{
		type = "ammo-turret",
		name = "7-62-mm-turret",
		icon = "__BetterTurrets__/graphics/items/betterTurret-7-62mm.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = "7-62-mm-turret"},
		max_health = 250,
		corpse = "small-remnants",
		collision_box = {{-0.7, -1}, {1.4, 1.5}},
		selection_box = {{-0.7, -1}, {1.4, 1.5}},
		rotation_speed = 0.015,
		preparing_speed = 0.08,
		folding_speed = 0.08,
		dying_explosion = "huge-explosion",
		inventory_size = 2,
		automated_ammo_count = 2,
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__BetterTurrets__/sound/reload.ogg", volume = 0.75 },
		folded_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_minigun)
			res.frame_count = 1
			res.line_length = 1
			return res
		end)(),
		preparing_animation = betterTurret_extension_minigun,
		prepared_animation =
		{
			filename = "__BetterTurrets__/graphics/entities/betterTurret-762.png", --TODO Placeholder --
			priority = "medium",
			width = 154,
			height = 105,
			direction_count = 64,
			frame_count = 1,
			line_length = 8,
			axially_symmetrical = false,
			shift = {0.8, -0.5+  0.0}
		},
		folding_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_minigun)
			res.run_mode = "backward"
			return res
		end)(),
		attack_parameters =
		{
			ammo_category = "7-62-mm-bullet",
			cooldown = 5,
			projectile_center = {0, 0.2},
			projectile_creation_distance = 1.2,
			shell_particle =
			{
				name = "shell-particle",
				direction_deviation = 0.1,
				speed = 0.1,
				speed_deviation = 0.03,
				center = {0, 0.1},
				creation_distance = -0.6,
				starting_frame_speed = 0.2,
				starting_frame_speed_deviation = 0.1
			},
			range = 25,
			sound =
			{
				filename = "__BetterTurrets__/sound/7-62mm.ogg",
				volume = 0.6
			}
		},
		resistances =
		{
			{
				type = "physical",
				decrease = 3,
				percent = 20
			},
			{
				type = "impact",
				decrease = 15,
				percent = 30
			},
			{
				type = "explosion",
				decrease = 6,
				percent = 20
			}
		}
	},

	--30 MM TURRET --
	{
		type = "ammo-turret",
		name = "30-mm-turret",
		icon = "__BetterTurrets__/graphics/items/betterTurret-30mm-icon.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = "30-mm-turret"},
		max_health = 280,
		corpse = "small-remnants",
		collision_box = {{-0.7, -1}, {1.4, 1.5}},
		selection_box = {{-0.7, -1}, {1.4, 1.5}},
		rotation_speed = 0.010,
		preparing_speed = 0.08,
		folding_speed = 0.02,
		dying_explosion = "huge-explosion",
		inventory_size = 2,
		automated_ammo_count = 1,
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 }, -- TODO placeholder--
		folded_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_autocannon)
			res.frame_count = 1
			res.line_length = 1
			return res
		end)(),
		preparing_animation = betterTurret_extension_autocannon,
		prepared_animation =
		{
			filename = "__BetterTurrets__/graphics/entities/betterTurret-30-mm.png",
			priority = "medium",
			width = 154,
			height = 105,
			direction_count = 64,
			frame_count = 1,
			line_length = 8,
			axially_symmetrical = false,
			shift = {0.8, -0.5+  0.0}
		},
		folding_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_autocannon)
			res.run_mode = "backward"
			return res
		end)(),
		attack_parameters =
		{
			ammo_category = "30-mm-shell",
			cooldown = 25,
			projectile_center = {0, 0.2},
			projectile_creation_distance = 2.2,
			shell_particle =
			{
				name = "30-mm-shell-particle",
				direction_deviation = 0.1,
				speed = 0.1,
				speed_deviation = 0.03,
				center = {0, 0.1},
				creation_distance = 0,
				starting_frame_speed = 0.2,
				starting_frame_speed_deviation = 0.1
			},
			range = 35,
			sound =
			{
				filename = "__BetterTurrets__/sound/30mm.ogg",
				volume = 0.6
			}
		}
	},

	--100 MM TURRET --
	{
		type = "ammo-turret",
		name = "100-mm-turret",
		icon = "__BetterTurrets__/graphics/items/betterTurret-100mm-icon.png",
		flags = {"placeable-player", "player-creation"},
		minable = {mining_time = 0.5, result = "100-mm-turret"},
		max_health = 350,
		corpse = "small-remnants",
		collision_box = {{-0.7, -1}, {1.4, 1.5}},
		selection_box = {{-0.7, -1}, {1.4, 1.5}},
		rotation_speed = 0.005,
		preparing_speed = 0.02,
		folding_speed = 0.02,
		dying_explosion = "huge-explosion",
		inventory_size = 2,
		automated_ammo_count = 1,
		open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 }, -- TODO placeholder--
		folded_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_100mm)
			res.frame_count = 1
			res.line_length = 1
			return res
		end)(),
		preparing_animation = betterTurret_extension_100mm,
		prepared_animation =
		{
			filename = "__BetterTurrets__/graphics/entities/betterTurret-100-mm.png",
			priority = "medium",
			width = 214,
			height = 165,
			direction_count = 64,
			frame_count = 1,
			line_length = 8,
			axially_symmetrical = false,
			shift = {0.8, -0.5+  0.0}
		},
		folding_animation = (function()
			local res = util.table.deepcopy(betterTurret_extension_100mm)
			res.run_mode = "backward"
			return res
		end)(),
		attack_parameters =
		{
			ammo_category = "100-mm-shell",
			cooldown = 350,
			projectile_center = {0, 0.5},
			projectile_creation_distance = 3,
			shell_particle =
			{
				name = "100-mm-shell-particle",
				direction_deviation = 0.1,
				speed = 0.1,
				speed_deviation = 0.03,
				center = {0, 0.1},
				creation_distance = -5,
				starting_frame_speed = 0.2,
				starting_frame_speed_deviation = 0.1
			},
			range = 50,
			sound =
			{
				filename = "__BetterTurrets__/sound/100mm.ogg",
				volume = 0.6
			}
		}
	},

	-- 120 MM TURRET --
	-- {
		-- type = "ammo-turret",
		-- name = "120-mm-turret",
		-- icon = "__BetterTurrets__/graphics/items/betterTurret-100mm-icon.png", -- TODO placeholder--
		-- flags = {"placeable-player", "player-creation"},
		-- minable = {mining_time = 0.5, result = "120-mm-turret"},
		-- max_health = 450,
		-- corpse = "small-remnants",
		-- collision_box = {{-0.7, -1}, {1.4, 1.5}},
		-- selection_box = {{-0.7, -1}, {1.4, 1.5}},
		-- rotation_speed = 0.005,
		-- preparing_speed = 0.02,
		-- folding_speed = 0.02,
		-- dying_explosion = "huge-explosion",
		-- inventory_size = 1,
		-- automated_ammo_count = 1,
		-- open_sound = { filename = "__base__/sound/machine-open.ogg", volume = 0.85 },
		-- close_sound = { filename = "__base__/sound/machine-close.ogg", volume = 0.75 }, -- TODO placeholder--
		-- folded_animation = (function()
			-- local res = util.table.deepcopy(betterTurret_extension_100mm)
			-- res.frame_count = 1
			-- res.line_length = 1
			-- return res
		-- end)(),
		-- preparing_animation = betterTurret_extension_100mm,
		-- prepared_animation =
		-- {
			-- filename = "__BetterTurrets__/graphics/entities/betterTurret-100-mm.png",
			-- priority = "medium",
			-- width = 214,
			-- height = 165,
			-- direction_count = 64,
			-- frame_count = 1,
			-- line_length = 8,
			-- axially_symmetrical = false,
			-- shift = {0.8, -0.5+  0.0}
		-- },
		-- folding_animation = (function()
			-- local res = util.table.deepcopy(betterTurret_extension_100mm)
			-- res.run_mode = "backward"
			-- return res
		-- end)(),
		-- attack_parameters =
		-- {
			-- ammo_category = "120-mm-shell-category",
			-- cooldown = 600,
			-- projectile_center = {0, 0.5},
			-- projectile_creation_distance = 3,
			-- shell_particle =
			-- {
				-- name = "100-mm-shell-particle",
				-- direction_deviation = 0.1,
				-- speed = 0.1,
				-- speed_deviation = 0.03,
				-- center = {0, 0.1},
				-- creation_distance = 0,
				-- starting_frame_speed = 0.2,
				-- starting_frame_speed_deviation = 0.1
			-- },
			-- range = 70,
			-- sound =
			-- {
				-- filename = "__BetterTurrets__/sound/120mm.ogg",
				-- volume = 0.6
			-- }
		-- }
	-- }
})
