data:extend({
  -- WEAPONS --
  -- .45 GUN --
  {
    type = "gun",
    name = "45-gun",
    icon = "__BetterTurrets__/graphics/items/gun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "b[basic-clips]-a[45-gun]",
    attack_parameters =
    {
      ammo_category = "45-pistol-bullet",
      explosion = "explosion-gunshot",
      cooldown = 50,
      movement_slow_down_factor = 0.1,
      damage_modifier = 1.2,
      projectile_creation_distance = 0.6,
      range = 20,
      sound =
      {
        {
          filename = "__BetterTurrets__/sound/44.ogg",
          volume = 0.5
        }
      }
    },
    stack_size = 5
  },
  
  -- .45 SUBMACHINE GUN --
  {
    type = "gun",
    name = "45-submachine-gun",
    icon = "__BetterTurrets__/graphics/items/submachine-gun.png",
    flags = {"goes-to-main-inventory"},
    subgroup = "gun",
    order = "b[basic-clips]-b[45-submachine-gun]",
    attack_parameters =
    {
      ammo_category = "45-submachine-gun-bullet",
      explosion = "explosion-gunshot",
      cooldown = 10,
      movement_slow_down_factor = 0.5,
      damage_modifier = 0.7,
      projectile_creation_distance = 0.6,
      range = 30,
      sound =
      {
        {
          filename = "__BetterTurrets__/sound/44.ogg",
          volume = 0.5
        }
      }
    },
    stack_size = 5
  },
  
  -- AMMO --
  -- .45 STANDARD PISTOL CLIP
  {
    type = "ammo",
    name = "45-standard-pistol-clip",
    icon = "__BetterTurrets__/graphics/items/45-standard-clip.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "45-pistol-bullet",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "45-standard-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 15
        }
      }
    },
    magazine_size = 6,
    subgroup = "ammo-usable-product",
    order = "a[45-mm-ammo]-a[45-standard-pistol-clip]",
    stack_size = 25
  },
  
  -- .45 JACKETED PISTOL CLIP
  {
    type = "ammo",
    name = "45-jacketed-pistol-clip",
    icon = "__BetterTurrets__/graphics/items/45-jacketed-clip.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "45-pistol-bullet",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "45-jacketed-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 15
        }
      }
    },
    magazine_size = 6,
    subgroup = "ammo-usable-product",
    order = "a[45-mm-ammo]-b[45-jacketed-pistol-clip]",
    stack_size = 25
  },
  
  -- .45 STANDARD SUBMACHINE GUN CLIP
  {
    type = "ammo",
    name = "45-standard-submachine-gun-clip",
    icon = "__BetterTurrets__/graphics/items/45-submachine-gun-standard-clip.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "45-submachine-gun-bullet",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "45-standard-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 15
        }
      }
    },
    magazine_size = 24,
    subgroup = "ammo-usable-product",
    order = "a[45-mm-ammo]-c[45-standard-submachine-gun-clip]",
    stack_size = 25
  },

-- .45 JACKETED SUBMACHINE GUN CLIP
  {
    type = "ammo",
    name = "45-jacketed-submachine-gun-clip",
    icon = "__BetterTurrets__/graphics/items/45-submachine-gun-jacketed-clip.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "45-submachine-gun-bullet",
      target_type = "direction",
      source_effects =
      {
        type = "create-entity",
        entity_name = "explosion-gunshot"
      },
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "45-jacketed-projectile",
          starting_speed = 1,
          direction_deviation = 0.1,
          range_deviation = 0.1,
          max_range = 15
        }
      }
    },
    magazine_size = 24,
    subgroup = "ammo-usable-product",
    order = "a[45-mm-ammo]-d[45-jacketed-submachine-gun-clip]",
    stack_size = 25
  }
})