if vanillaWeapons ~= true then
	data:extend({
		-- ---------- GUNS  ---------- --
		-- .45 gun
		{
			type = "recipe",
			name = "45-gun",
			energy_required = 1,
			ingredients =
			{
				{"copper-plate", 5},
				{"iron-plate", 5}
			},
			result = "45-gun"
		},

		-- .45 SUBMACHINE GUN
		{
			type = "recipe",
			name = "45-submachine-gun",
			enabled = "false",
			energy_required = 3,
			ingredients =
			{
				{"iron-gear-wheel", 10},
				{"copper-plate", 5},
				{"iron-plate", 10}
			},
			result = "45-submachine-gun"
		},
		
		-- ---------- HAND CRAFTABLE AMMUNITION ---------- --

		-- .45 STANDARD PISTOL CLIP RECIPE --
		{
			type = "recipe",
			name = "45-standard-pistol-clip",
			energy_required = 1,
			ingredients =
			{
				{"copper-plate",1},
				{"iron-plate", 1}
			},
			result = "45-standard-pistol-clip",
			result_count = 4
		},

		-- .45 JACKETED PISTOL CLIP RECIPE --
		{
			type = "recipe",
			name = "45-jacketed-pistol-clip",
			enabled = "false",
			energy_required = 1,
			ingredients =
			{
				{"copper-plate",1},
				{"steel-plate", 1}
			},
			result = "45-jacketed-pistol-clip",
			result_count = 4
		},

		-- ---------- OTHER CLIPS ---------- --

		-- .45 STANDARD SUBMACHINE GUN CLIP RECIPE --
		{
			type = "recipe",
			name = "45-standard-submachine-gun-clip",
			enabled = "false",
			energy_required = 5,
			ingredients =
			{
				--        {"45-standard-bullet",24},
				--        {"45-submachine-gun-clip", 1}
				{"copper-plate",1},
				{"iron-plate", 1}
			},
			result = "45-standard-submachine-gun-clip",
			result_count = 1
		},

		-- .45 JACKETED SUBMACHINE GUN CLIP RECIPE --
		{
			type = "recipe",
			name = "45-jacketed-submachine-gun-clip",
			category = "advanced-crafting",
			enabled = "false",
			energy_required = 5,
			ingredients =
			{
				--        {"45-jacketed-bullet",24},
				--        {"45-submachine-gun-clip", 1}
				{"copper-plate",1},
				{"steel-plate", 1}
			},
			result = "45-jacketed-submachine-gun-clip",
			result_count = 1
		}
	})
end

data:extend({
	-- ---------- TURRETS ---------- --

	-- 7.62 MM TURRET --
	{
		type = "recipe",
		name = "7-62-mm-turret",
		enabled = "false",
		energy_required = 5,
		ingredients =
		{
			{"copper-plate", 5},
			{"iron-plate", 15},
			{"electronic-circuit", 1},
			{"iron-gear-wheel", 5}
		},
		result = "7-62-mm-turret"
	},

	-- 30 MM TURRET RECIPE --
	{
		type = "recipe",
		name = "30-mm-turret",
		enabled = "false",
		energy_required = 5,
		ingredients =
		{
			{"steel-plate", 5},
			{"iron-plate", 20},
			{"advanced-circuit", 5},
			{"iron-gear-wheel", 10}
		},
		result = "30-mm-turret"
	},

	-- 100 MM TURRET RECIPE --
	{
		type = "recipe",
		name = "100-mm-turret",
		enabled = "false",
		energy_required = 5,
		ingredients =
		{
			{"steel-plate", 50},
			{"iron-plate", 50},
			{"advanced-circuit", 15},
			{"iron-gear-wheel", 25}
		},
		result = "100-mm-turret"
	},

	-- -- 120 MM TURRET RECIPE --
    -- {
		-- type = "recipe",
		-- name = "120-mm-turret",
		-- enabled = "false",
		-- energy_required = 5,
		-- ingredients =
		-- {
			-- {"iron-gear-wheel", 5},
			-- {"copper-plate", 5},
			-- {"iron-plate", 10}
		-- },
		-- result = "120-mm-turret"
    -- },

	-- ---------- CARTRIDGES ---------- --
    
	-- 30 MM HEDP CARTRIDGE RECIPE --
	{
		type = "recipe",
		name = "30-mm-hedp-cartridge",
		category = "advanced-crafting",
		enabled = "false",
		energy_required = 5,
		ingredients =
		{
			{"steel-plate",1},
			{"explosives",2}
		},
		result = "30-mm-hedp-cartridge",
		result_count = 5
	},

	-- 30 MM HEI CARTRIDGE RECIPE --
	{
		type = "recipe",
		name = "30-mm-hei-cartridge",
		category = "advanced-crafting",
		enabled = "false",
		energy_required = 5,
		ingredients =
		{
			{"steel-plate",1},
			{"explosives",1},
			{"solid-fuel",1}
		},
		result = "30-mm-hei-cartridge",
		result_count = 5
	},

    -- ---------- AMMO CANS ---------- --

	-- EMPTY AMMO CAN RECIPE --
	{
		type = "recipe",
		name = "ammo-can",
		enabled = "false",
		energy_required = 3,
		ingredients =
		{
			{"iron-plate",1}
		},
		result = "ammo-can"
	},

	-- 30 MM HEDP AMMO CAN RECIPE --
	{
		type = "recipe",
		name = "30-mm-ammo-can-hedp",
		category = "advanced-crafting",
		enabled = "false",
		energy_required = 15,
		ingredients =
		{
			{"ammo-can",1},
			{"30-mm-hedp-cartridge",50}
		},
		result = "30-mm-ammo-can-hedp"
	},

	-- 30 MM HEI AMMO CAN RECIPE --
	{
		type = "recipe",
		name = "30-mm-ammo-can-hei",
		category = "advanced-crafting",
		enabled = "false",
		energy_required = 15,
		ingredients =
		{
			{"ammo-can",1},
			{"30-mm-hei-cartridge",50}
		},
		result = "30-mm-ammo-can-hei"
	},

	-- ---------- SHELLS ---------- --

	-- 100 MM HEAT SHELL RECIPE --
	-- High explosive anti-tank --
	{
		type = "recipe",
		name = "100-mm-shell-heat",
		category = "advanced-crafting",
		enabled = "false",
		energy_required = 15,
		ingredients =
		{
			{"iron-plate",1},
			{"steel-plate",1},
			{"explosives",1},
			{"solid-fuel",2}
		},
		result = "100-mm-shell-heat"
	},

	-- -- 120 MM KE SHELL RECIPE --
	-- -- Kinetic Energy --
	-- {
	   -- type = "recipe",
	   -- name = "120-mm-shell-ke",
	   -- category = "ammo-crafting",
	   -- enabled = "false",
	   -- energy_required = 3,
	   -- ingredients =
	   -- {
		 -- {"120-mm-cartridge-case",1},
		 -- {"120-mm-front-projectile",1},
		 -- {"steel-plate",1},
		 -- {"solid-fuel",10}
	   -- },
	   -- result = "120-mm-shell-ke"
	-- },

	-- -- 120 MM HEAT SHELL RECIPE --
	-- -- High explosive anti-tank --
	-- {
	   -- type = "recipe",
	   -- name = "120-mm-shell-heat",
	   -- category = "ammo-crafting",
	   -- enabled = "false",
	   -- energy_required = 3,
	   -- ingredients =
	   -- {
			-- {"120-mm-cartridge-case",1},
			-- {"120-mm-front-projectile",1},
			-- {"explosives",1},
			-- {"solid-fuel",10}
	   -- },
	   -- result = "120-mm-shell-heat"
	-- },

	-- ---------- ------------------- ---------- --

	-- ---------- BUILDINGS ---------- --

	-- -- AMMO FACTORY --
	-- {
		-- type = "recipe",
		-- name = "ammo-factory",
		-- enabled = "false",
		-- ingredients =
		-- {
			-- {"iron-plate", 9},
			-- {"electronic-circuit", 3},
			-- {"iron-gear-wheel", 5},
			-- {"assembling-machine-1", 1}
		-- },
		-- result = "ammo-factory"
	-- },

	-- -- AMMO FACTORY --
	-- {
		-- type = "recipe",
		-- name = "ammo-packaging-factory",
		-- enabled = "false",
		-- ingredients =
		-- {
			-- {"iron-plate", 9},
			-- {"electronic-circuit", 3},
			-- {"iron-gear-wheel", 5},
			-- {"assembling-machine-1", 1}
		-- },
		-- result = "ammo-packaging-factory"
	-- },
})
